aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-doc/scalapack-docs')
-rw-r--r--app-doc/scalapack-docs/ChangeLog10
-rw-r--r--app-doc/scalapack-docs/Manifest4
-rw-r--r--app-doc/scalapack-docs/metadata.xml14
-rw-r--r--app-doc/scalapack-docs/scalapack-docs-1.8.ebuild26
4 files changed, 54 insertions, 0 deletions
diff --git a/app-doc/scalapack-docs/ChangeLog b/app-doc/scalapack-docs/ChangeLog
new file mode 100644
index 000000000..d9d6e6ebf
--- /dev/null
+++ b/app-doc/scalapack-docs/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for app-doc/scalapack-docs
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*scalapack-docs-1.8 (13 Dec 2010)
+
+ 13 Dec 2010; S├ębastien Fabbro <bicatali@gentoo.org>
+ +scalapack-docs-1.8.ebuild, +metadata.xml:
+ Initial import
+
diff --git a/app-doc/scalapack-docs/Manifest b/app-doc/scalapack-docs/Manifest
new file mode 100644
index 000000000..b93d12f1b
--- /dev/null
+++ b/app-doc/scalapack-docs/Manifest
@@ -0,0 +1,4 @@
+DIST scalapack-docs-1.8.tar.bz2 385360 RMD160 d9b24f80c1be012e8c421cdd6acc738483db4afc SHA1 6469f5c4e9d4471713081a8edb4b2475f41e3203 SHA256 c72ad40462207778f43be4569fa4335882127f445be7c78903ee8b5dd678dce3
+EBUILD scalapack-docs-1.8.ebuild 687 RMD160 28eb4393540a0b58cac4ed773e06f718e5d44065 SHA1 dfa8fa8dfdcca383e9e72ca628bb6ef7e7551c0c SHA256 f0ccaed2b2107dce0cd399f7a47b3c5bb50eea0860ccee97e6f364037883e686
+MISC ChangeLog 276 RMD160 255f63624ff133083c7f60dcf00e8ba14dff0859 SHA1 00882e627b2adafb5c03b728e2dac1100fbf2839 SHA256 b74374f971ee6394f3e83a97dc48a50ccc5828139cfd35faf3d5ce900ec45436
+MISC metadata.xml 648 RMD160 adff328cfa4f175dabadb5d4f9a5f36a686c6ebd SHA1 916f750a57f67b1323a515e34f1a3483f89b301a SHA256 d06e057186d652f99527fa55553eb2eab84a975faa1ebbf58c4d4e5177fb7e31
diff --git a/app-doc/scalapack-docs/metadata.xml b/app-doc/scalapack-docs/metadata.xml
new file mode 100644
index 000000000..bdb160f44
--- /dev/null
+++ b/app-doc/scalapack-docs/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ The ScaLAPACK (or Scalable LAPACK) library includes a subset of
+ LAPACK routines redesigned for distributed memory MIMD parallel
+ computers. It is currently written in a Single-Program-Multiple-Data
+ style using explicit message passing for interprocessor
+ communication. It assumes matrices are laid out in a two-dimensional
+ block cyclic decomposition.
+ This package contains manual pages for the routines, and quick reference guides.
+</longdescription>
+</pkgmetadata>
diff --git a/app-doc/scalapack-docs/scalapack-docs-1.8.ebuild b/app-doc/scalapack-docs/scalapack-docs-1.8.ebuild
new file mode 100644
index 000000000..833cdca75
--- /dev/null
+++ b/app-doc/scalapack-docs/scalapack-docs-1.8.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Documentation reference and man pages for ScaLAPACK implementations"
+HOMEPAGE="http://www.netlib.org/scalapack/scalapack_home.html"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+S="${WORKDIR}"
+
+src_install() {
+ # rename because doman do not yet understand manl files
+ # Not all systems have the rename command, like say FreeBSD
+ local f= t=
+ for f in MANPAGES/man/manl/*.l; do
+ t="${f%%.l}.n"
+ mv "${f}" "${t}"
+ done
+ doman MANPAGES/man/manl/* || die "doman failed"
+ dodoc *.ps || die "dodoc failed"
+}